fftw3 (3.3.10-2) unstable; urgency=medium

  * Team upload.

  [ chenzhanwang <chenzhanwang@loongson.cn> ]
  * Add loong64 architecture support to libfftw (libfftw3-long3)
    (Closes: #1050691)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2024 13:58:51 +0200

fftw3 (3.3.10-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/copyright: format changed to be machine readable.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Sébastien Villemot ]
  * Rewrite d/rules using dh sequencer.
    By the way, fix some missing checks for DEB_BUILD_OPTIONS=nocheck
  * Bump to debhelper compat level 13
    - dh_autoreconf run by default
    - doc installed under /u/s/doc/libfftw-dev/
    - dh_makeshlibs now defaults to -V
  * d/upstream/metadata:
    - move to correct location
    - add more fields
  * Remove useless libfftw3-dev.dirs
  * d/copyright: update copyright years
  * d/control:
    + remove obsolete Breaks/Conflicts/Replaces/Provides
    + remove obsolete versioned Build-Depends on dpkg and ghostscript
    + remove useless Build-Depends on dh-autoreconf
    + add Rules-Requires-Root: no
  * d/tests/{build,tools}: replace $ADTTMP with $AUTOPKGTEST_TMP
  * Reword abstract in d/libfftw3-doc.doc-base.fftw3-faq to make
    lintian happy
  * Remove transitional package libfftw3-3, it no longer has
    reverse dependencies

  [ Boyuan Yang ]
  * New upstream release 3.3.10.
  * debian/watch: Monitor with https instead of ftp.
  * bump Standards-Version to 4.6.1.
  * Apply patch from Ubuntu:

  [ Heinrich Schuchardt ]
  * enable building libfftw3-long3 on riscv64 (LP: #1939516)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

  [ Andreas Tille ]
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Set hardening options
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 17:40:47 +0100

fftw3 (3.3.8-2) unstable; urgency=medium

  * Add fftw3.info-1 and fftw3.info-2 to libfftw3-doc (closes: #880618)
  * Bump Standards-Version to 4.2.1

 -- Paul Brossier <piem@debian.org>  Mon, 10 Sep 2018 22:35:56 +0200

fftw3 (3.3.8-1) unstable; urgency=medium

  * New upstream release
  * remove libfftw3-dbg in favor of automatic dbgsym package (Closes: #892248)
  * add arm64 mips64el ppc64el to libfftw3-long dependency
    of libfftw3-dev (Closes: #902342)
  * update Vcs urls
  * bump standards-version to 4.1.4
  * replace Priority extra with optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 25 Jun 2018 22:02:59 +0200

fftw3 (3.3.7-1) unstable; urgency=medium

  * Team upload.

  * debian/watch: New upstream version and fix to debian/watch to find it
  * debian/control: Updated policy to 4.1.2 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 Dec 2017 22:15:58 +0100

fftw3 (3.3.6p2-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch: include patch from Reiner
    Herrmann to improve reproducibility (closes: #796324)
  * debian/control: bump standards-version to 4.0.0

 -- Paul Brossier <piem@debian.org>  Mon, 21 Aug 2017 16:41:11 +0200

fftw3 (3.3.6p2-1) unstable; urgency=medium

  * Support NEON also for arm64 platform
  * ARM targets have --with-slow-timer enabled to avoid difficulties with
    erratic timers for planning and self-optimisation
  * Extend debian/watch to also recognize patchlevels
  * Team upload.

 -- Steffen Moeller <moeller@debian.org>  Wed, 10 May 2017 20:56:15 +0200

fftw3 (3.3.5-3) unstable; urgency=medium

  * fix typo in shlibs file of last upload

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 06 Jan 2017 23:05:04 +0100

fftw3 (3.3.5-2) unstable; urgency=medium

  * add stricter shlib dependencies for partial upgrades (Closes: #849593)
  * mark libfft3-mpi-dev m-a same and libfftw3-doc m-a foreign

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 06 Jan 2017 18:44:49 +0100

fftw3 (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5
  * Update patch fix-runtime-neon-detection.patch.
  * Remove superfluous occurrences of ${shlibs:Depends}.
  * Insert multiarch support via ${misc:Pre-Depends}.
  * Add missing configure step in build-indep. (Closes: #806616)
  * Remove XS-Testsuite field, no longer required.
  * Use current canonical VCS URIs.
  * Bump standards version to 3.9.8, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 03 Oct 2016 18:12:31 +0200

fftw3 (3.3.4-2) unstable; urgency=medium

  * Team upload.
  * fix-runtime-neon-detection.patch: new patch, fixes runtime NEON
    detection on armhf (and also arm64, but NEON is currently
    unconditionnally disabled there). Thanks to Edmund Grimley Evans for
    the patch. (Closes: #767138)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Nov 2014 20:49:59 +0100

fftw3 (3.3.4-1.1) unstable; urgency=low

  * Add mips64(el), ppc64el and arm64 to the list with long double support.
    (Closes: #763007)

 -- YunQiang Su <syq@debian.org>  Sat, 11 Oct 2014 17:26:31 +0800

fftw3 (3.3.4-1) unstable; urgency=medium

  * New upstream release (Closes: #741851)
    - all patches applied upstream
  * add autopkgtest depend on build-essential (Closes: #740095)
  * Bump to standards 3.9.5, no changes required
  * suggest libfftw3-doc in -dev packages (Closes: #735541)
  * increase debian/compat to 9 and make -dbg package Multi-Arch: same
  * disable neon support on arm64, crashes currently available gcc 4.8.2

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 16 Mar 2014 15:59:47 +0100

fftw3 (3.3.3-7) unstable; urgency=low

  * restrict architectures of long dependency of libfftw3-3 (Closes: #710890)
  * enable runtime detected sse2 and avx on x32
  * enable long and quad precision on x32

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 27 Oct 2013 13:48:27 +0100

fftw3 (3.3.3-6) unstable; urgency=low

  * wisdom-manpage.patch: fix wrong example in manpage
  * make transitional libfftw3-3 depend on libfftw3-long3 for compatibility
    with unpackaged software (Closes: #710890)
  * fix-fftw-wisdom-to-conf.patch: fix tool not accepting wisdom files
  * add autopkgtests for tools and basic usage
  * enable runtime detected neon support for arm64

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 26 Oct 2013 17:05:33 +0200

fftw3 (3.3.3-5) unstable; urgency=low

  * stop building quad library on ia64, really Closes: #709168

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 22 May 2013 19:04:32 +0200

fftw3 (3.3.3-4) unstable; urgency=low

  * texinfo5-compat.patch: fix ftbfs with texinfo5
  * add generated html files to extended-diff-ignore
  * build depend and use gcc-4.8 on ia64, fixes ICE in quad (Closes: #709168)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 21 May 2013 20:37:52 +0200

fftw3 (3.3.3-3) unstable; urgency=low

  * Upload to unstable
  * add powerpcspe to libfftw3-long3 architecture (Closes: #702863)
    Thanks Roland Stigge for the report
  * use canonical Vcs field urls
  * re-add Provides: fftw3, required by mffm-fftw and libaudiomask

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 04 May 2013 12:31:09 +0200

fftw3 (3.3.3-2) experimental; urgency=low

  * restrict architectures of libfftw3-dev dependencies on -quad3 and -long3
  * don't build docs in parallel, sometimes leads to broken faq

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 09 Dec 2012 15:31:07 +0100

fftw3 (3.3.3-1) experimental; urgency=low

  * New upstream release (Closes: #694401)
  * split the precision libraries into separate packages:
    - libfftw3-single3: single precision
    - libfftw3-double3: double precision
    - libfftw3-long3: long double precision
    - libfftw3-quad3: quad precision (Closes: #691677)
    - libfftw3-3: transitional package depending on single and double
    - libfftw3-dev: depends on all precisions
    - libfftw3-mpi3: continues to contain all precisions
  * Acknowledge NMU, thanks Ansgar Burchardt
  * add debian/source/extended-diff-ignore to ignore generated files
  * add hardening flags to long long test so build log check does not complain
  * drop --with-gcc-arch configure flag, has no effect anymore
  * use dh-autoreconf
  * Bump to standards 3.9.4, no changes required
  * add .NOTPARALLEL to debian/rules
  * escape minus signs in 03_fix_manpages.diff
  * pkg-config.patch: move -lm to Libs.private
  * delete obsolete and disabled 10_uptodate_configure.diff
  * don't install tests as examples, they are not good examples and won't
    compile without files in the source tree

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 01 Dec 2012 19:12:03 +0100

fftw3 (3.3.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Use xz compression for binary packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 05 Aug 2012 16:38:56 +0200

fftw3 (3.3.2-3) unstable; urgency=low

  * disable neon for armel, it has no fpu

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 10 Jun 2012 12:02:19 +0200

fftw3 (3.3.2-2) unstable; urgency=low

  * remove workaround for a transient gcc failure on arm (LP: #841437)
  * enable runtime detected neon extension support on arm and armhf
  * enable sse extensions for kfreebsd (Closes: #674760)
    avx not supported yet
  * drop 04_improve_semaphore_detection.diff
    semaphores are not shared anymore since 3.2.2
  * enable hardening options
  * move packaging to git

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 09 Jun 2012 22:44:57 +0200

fftw3 (3.3.2-1) unstable; urgency=low

  * Team upload to unstable
  * New upstream release
  * enable avx on i386 too, detected at runtime
  * move wisdom tools to libfftw3-bin, make libfftw3-dev multiarch same
  * revert split into -mt package
    package size gain is negiglible compared to main library
  * drop debian/patches/fix-links.patch applied upstream
  * remove empty directories from libfftw3-dev
  * respect DEB_BUILD_OPTIONS parallel
  * add myself to Uploaders

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 18 May 2012 17:09:50 +0200

fftw3 (3.3.1-4) experimental; urgency=low

  * Team upload.
  * enable avx on amd64, detected at runtime
  * debian/patches/fix-links.patch:
    - Fix links of the thread and mpi library (Closes: #664531)
  * debian/rules:
    - pass MPILIBS=mpicc --showme:link to configure to ensure correct
      mpi linkage
    - remove rpath from mpi libs with chrpath, add build-depend on it
    - remove unneeded quilt.make and the build-depend
  * wrap-and-sort debian directory
  * minor package description cleanup
  * stop using removed --enable-portable-binary which is now default
  * Build the openmp and pthread libraries into libfftw3-mt{3,dev}
  * rename libfftw3-mpi-3 to libfftw3-mpi3 to conform to naming rules

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 23 Mar 2012 00:26:17 +0100

fftw3 (3.3.1-3) experimental; urgency=low

  * Add the multiarch support. Thanks to Julian Taylor for the patch
    (Closes: #664155)
  * Fix some various silly and useless conflicts (Closes: #664156)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Mar 2012 23:08:45 +0100

fftw3 (3.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #661867)
  * Enable the MPI version of fftw (Closes: #528680)
  * Standards-Version to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Mar 2012 14:19:28 +0100

fftw3 (3.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Package moved into the Debian Science team (no answer from the previous
    maintainer) and package not maintained.
  * Standards-Version updated to version 3.9.2
  * Vcs-Browser & Vcs-Svn updated
  * lintian brace-expansion-in-debhelper-config-file fixed
  * lintian non-empty-dependency_libs-in-la-file fixed
  * Sync from Ubuntu (Closes: #624285)
  * Switch to dpkg-source 3.0 (quilt) format
  * Provide the debug symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Nov 2011 01:13:21 +0100

fftw3 (3.2.2-1ubuntu2) oneiric; urgency=low

  * Work around FTBFS on armel, build some files with -O1. LP: #841437.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 16:18:43 +0200

fftw3 (3.2.2-1ubuntu1) oneiric; urgency=low

  * Rebuild with gfortran-4.6.
  * Configure with --enable-sse --enable-sse2 on amd64. LP: #602586.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Sep 2011 11:19:17 +0200

fftw3 (3.2.2-1) unstable; urgency=low

  * New upstream release
  * Acknowledge non-maintainer upload (closes: #532340, #532301),
    thanks to Cyril Brulebois
  * debian/control
    - add ${misc:Depends}
    - bump Standards-Version to 3.8.3, debhelper to >= 7.0.0
    - span build-depends on multiple lines
    - added Vcs-Bzr and Vcs-Browser fields
  * debian/rules
    - fix bashisms (closes: #535378)
    - only install long double where needed (closes: #540408)
    - use dh_prep
  * debian/compat: bump to 7
  * debian/README.source: add reference to quilt documentation

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 15:58:13 +0100

fftw3 (3.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on powerpc: stop passing “-maltivec” through CFLAGS in
    debian/rules, thanks to Aurélien Jarno (closes: #532340).
  * Fix FTBFS on GNU/kFreeBSD: improve the detection of POSIX semaphores
    (they can be shared or non-shared, and GNU/kFreeBSD only supports
    the latter), thanks to Petr Salinger (closes: #532301):
     + 04_improve_semaphore_detection.diff

 -- Cyril Brulebois <kibi@debian.org>  Thu, 25 Jun 2009 01:01:04 +0200

fftw3 (3.2.1-2) unstable; urgency=low

  * Move texinfo from Build-Depends-Indep to Build-Depends (closes: #522502)

 -- Paul Brossier <piem@debian.org>  Mon, 06 Apr 2009 15:31:13 +0200

fftw3 (3.2.1-1) unstable; urgency=low

  * New upstream release (closes: #502247, #505842, #515223)
  * Patch from #486046 was included upstream (closes: #486046)
  * Acknowledge non-maintainer upload (closes: #478376)
  * Add build-depends on quilt and switch to patches
  * Switch from gs-gpl to ghostscript (>> 8.63)
  * Add 03_fix_manpages to add missing backslash in manpages
  * Add Homepage and bump Standards-Version to 3.8.1
  * Bump debhelper depends to >=5.0.0
  * Update debian/copyright

 -- Paul Brossier <piem@debian.org>  Fri, 03 Apr 2009 18:00:56 +0200

fftw3 (3.1.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478376)
  * debian/control:
    - Add ${shlibs:Depends} to binary Depends of libfftw3-dev to satisfy
      libc dependency for test and utility programs.
    - Bump Standards-Version to 3.8.0

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 17:59:46 +0100

fftw3 (3.1.2-3) unstable; urgency=low

  * Rename fftw3{,-dev,-doc} to libfftw3{,-dev,-doc}.
    (closes: #430238, #378444)
  * Add Conflicts/Replaces/Provides to all packages accordingly.
  * Add -$(RM) -rf debian/tmp-long-double to debian/rules:clean
    (closes: #424261)

 -- Paul Brossier <piem@debian.org>  Fri, 03 Aug 2007 13:33:47 +0200

fftw3 (3.1.2-2) unstable; urgency=low

  * debian/rules, debian/control: switching fortran compiler from g77 to
    gfortran, avoiding dependancies against older gcc binaries. Compatibility
    with g77 compiled libraries should work, since the -ff2c option is used.
    DEB_BUILD_OPTIONS=nog77 can be used to disable backward compatibility.
    Thanks to Steven G. Johnson and Warren Turkal. (closes: #392301)
  * debian/fftw3-doc.doc-base.{fftw3-faq,manual}: add missing Index: line to
    Info and Text formats (closes: #418798)

 -- Paul Brossier <piem@debian.org>  Fri, 13 Apr 2007 11:24:21 +0200

fftw3 (3.1.2-1) unstable; urgency=low

  * New upstream release (closes: #376967)
  * debian/rules: enable altivec optimisations on powerpc (closes: #225959)
  * debian/fftw3-dev: manpages are in usr/share/man/man1
  * fix noopt build option.

 -- Paul Brossier <piem@debian.org>  Thu, 27 Jul 2006 12:13:39 +0200

fftw3 (3.1.1-2) unstable; urgency=low

  * fftw3-dev: use versioned dependancy against fftw3 (= ${Source-version})
    (closes: #372246) instead of '${shlibs:Depends}, pkg-config'

 -- Paul Brossier <piem@debian.org>  Sat,  1 Jul 2006 13:17:24 +0200

fftw3 (3.1.1-1) unstable; urgency=low

  * New upstream release (closes: #350327, #338487, #338501)
  * Add --enable-portable-binary to use -mtune instead of -march
  * Use --with-gcc-arch=G5 / pentium4 on powerpc / i386
  * Updated Standards-Version

 -- Paul Brossier <piem@debian.org>  Wed, 31 May 2006 13:44:05 +0200

fftw3 (3.0.1-14) unstable; urgency=low

  * Fixes in acinclude.m4:
    + bypass all checks for specific architecture flags
    + make gcc flags check even when CFLAGS is set
    + don't add -fomit-frame-pointer to CFLAGS (automatically added
      by -O on machines that supports it)
    + avoid overwriting CFLAGS passed from configure
    + don't compile codelets with -O3

  * Other fixes in source tree:
    + add AC_CANONICAL_HOST to configure.in
    + update depcomp, libtool and friends, rerun aclocal and autoconf
    + update __attribute__(mode()) to vector_size() in simd/simd-*.h
    + fix INFO-DIR-SECTION of info files in doc

  * Changes to debian/:
    + add '-march=i386 -mtune=pentiumpro' to CFLAGS on i386
    + add a Build-Depends-Indep and rebuild the docs in build-indep
    + use dh_install, update doc-base entries fftw3-doc.doc-base.*
    + removed hardcoded shlibs and custom postinst/prerm
    + add tests in fftw3-dev examples, add a watch file
    + add ascii and info version of the faq
    + remove K6 workaround, add a noopt debbuild option

 -- Paul Brossier <piem@debian.org>  Tue,  4 Oct 2005 20:49:58 +0100

fftw3 (3.0.1-13) unstable; urgency=low

  * Remove CFLAGS and archconfflags on m68k and i386 (broken autoconf and
    automake, setting either makes configure script breaks and select wrong
    cpu flags, more info in acinclude.m4)

 -- Paul Brossier <piem@debian.org>  Sun,  7 Aug 2005 17:42:15 +0100

fftw3 (3.0.1-12) unstable; urgency=low

  * Patch from Javier Fernández-Sanguino Peña to make fftw-wisdom-to-conf
    temporary file creation more secure (closes: #321566)
  * Begin to simplify debian/rules, set CFLAGS and --host on all platforms
  * Add a dummy program to check sizeof(long double) != sizeof(double)
  * Update config.sub config.guess in clean rules, clean cleaner
  * Uncapitalise short descriptions
  * Bump standards-version to 3.6.2
  * Change maintainer address to @debian.org

 -- Paul Brossier <piem@debian.org>  Sun,  7 Aug 2005 04:42:08 +0100

fftw3 (3.0.1-11) unstable; urgency=low

  * Added workaround for K6 (closes: #219688, #255755, #259612), thanks goes
    to Steven G. Johnson and Guus Sliepen. (recompiled simd/taint.c by hand in
    debian/rules)
  * Clean cleaner: replaced make clean by distclean in rules.
  * Added source section to debian/control.

 -- Paul Brossier <piem@altern.org>  Tue,  9 Nov 2004 18:21:52 +0000

fftw3 (3.0.1-10) unstable; urgency=high

  * Adopted package (closes: #263125).
  * Ditch config.guess in favor of values from dpkg-architecture, to avoid
    over-optimized mis-builds of the package (Steve Langasek,closes: #265193).
  * Added version (>=4.0.0) to debhelper Build-Depends.
  * Added missing #DEBHELPER# token to fftw-doc.postinst

 -- Paul Brossier <piem@altern.org>  Sun, 15 Aug 2004 19:28:44 +0200

fftw3 (3.0.1-9) unstable; urgency=low

  * m68k still doesn't work properly with optimatzion turned on.

 -- James A. Treacy <treacy@debian.org>  Mon, 19 Apr 2004 17:33:04 -0400

fftw3 (3.0.1-8) unstable; urgency=low

  * add missing files /usr/bin/fftw{f,l}-wisdom and related man files. Closes: Bug#228959
  * remove setgid in source. Closes: Bug#240180
  * add m68k to the list of arches that don't install long-double libs in
    binary-arch. Closes: Bug#244393

 -- James A. Treacy <treacy@debian.org>  Wed, 21 Jan 2004 19:00:01 -0500

fftw3 (3.0.1-7) unstable; urgency=low

  * disable altivec on powerpc. See Bug#223601 for an explanation.

 -- James A. Treacy <treacy@debian.org>  Thu,  1 Jan 2004 20:50:40 -0500

fftw3 (3.0.1-6) unstable; urgency=low

  * Compile without optimization on powerpc until gcc is fixed. Closes: #220666
  * Add doc-base entry. Closes: #218132

 -- James A. Treacy <treacy@debian.org>  Wed, 29 Oct 2003 10:40:39 -0500

fftw3 (3.0.1-4) unstable; urgency=low

  * Add missing man pages. Closes: #203084
  * applied patch from upstream to fix the -t option of fftw-wisdom. Closes: #203154

 -- James A. Treacy <treacy@debian.org>  Sun, 27 Jul 2003 14:08:48 -0400

fftw3 (3.0.1-3) unstable; urgency=low

  * applied patch from upstream to fix the sparc build properly.
  * remove optimization from m68k build to get around gcc bug.

 -- James A. Treacy <treacy@debian.org>  Fri, 25 Jul 2003 01:41:25 -0400

fftw3 (3.0.1-2) unstable; urgency=low

  * Remove timer for sparc as it seems to be buggy.
  * Fix typo in bench-main.c. Should fix m68k.

 -- James A. Treacy <treacy@debian.org>  Sat, 12 Jul 2003 13:32:46 -0400

fftw3 (3.0.1-1) unstable; urgency=low

  * New upstream source.
  * fftw3-dev depends on pkg-config. Closes: #197637

 -- James A. Treacy <treacy@debian.org>  Sun,  6 Jul 2003 17:14:38 -0400

fftw3 (3.0-4) unstable; urgency=low

  * Use --without-cycle-counter for mips and mipsel.
  * /usr/lib/pkgconfig/fftw3.pc added to -dev package. Closes: #193799
  * Fixed fftw3-dev dependencies. Closes: #196615

 -- James A. Treacy <treacy@debian.org>  Tue,  6 May 2003 22:07:43 -0400

fftw3 (3.0-3) unstable; urgency=low

  * Forgot to remove 'time' from make check.

 -- James A. Treacy <treacy@debian.org>  Tue,  6 May 2003 13:37:13 -0400

fftw3 (3.0-2) unstable; urgency=low

  * Disable building of the long double library for arches where
    double == long double. Closes: #191999
  * Includes information to build on arm, m68k and s390 (also submitted
    upstream. Most likely will still not build on mips{,el}.
  * Will probably hang during make check on sparc.

 -- James A. Treacy <treacy@debian.org>  Tue, 29 Apr 2003 00:28:16 -0400

fftw3 (3.0-1) unstable; urgency=low

  * New upstream release
  * New package. FFTW should stay in the distribution until packages convert
    to the new API

 -- James A. Treacy <treacy@debian.org>  Tue,  1 Apr 2003 12:50:10 -0500
